Subject: Re: [PATCH] gnu: desmume: Update to 0.9.13.

From: Liliana Marie Prikler <[email-masked]>
Date: Mon, 25 Sep 2023 20:30:02 +0200

Am Montag, dem 25.09.2023 um 13:14 -0400 schrieb Hendursaga:
> Liliana Marie Prikler <[email-masked]> writes:
> 
> > Some stylistic choices in the ChangeLog are a little weird; overall
> > however LGTM.
> 
> Not sure what exactly is wrong. I was diligent to look through dozens
> of previous commits by others to look for patterns to use. Is there
> some sort of "linter" for GNU-style ChangeLogs?

For reference, here's the way I'd write it:
> * gnu/packages/emulators.scm (desmume): Update to 0.9.13.
> [source]: Switch to git-fetch.  Remove patches.
> [build-system]: Switch to meson-build-system.
> [arguments]<#:configure-flags>: Replace “--enable-openal” with “-
> Dopenal=true”.
> Remove “--enable-wifi”.
> Add “-Dfrontend-cli=true”, “-Dfrontend-gtk=true”, and “-Dgdb-
> stub=true”.
> <#:phases>: Add ‘chdir’.
> [native-inputs]: Add glib:bin and gettext-minimal.
> [inputs]: Replace sdl with sdl2 and gtk+-2 with gtk+.
> Remove glu.
> Add agg, alsa-lib, libpcap, openal, and soundtouch.
> [home-page]: Use HTTPS.
> * gnu/packages/patches/desmume-gcc6-fixes.patch: Removed file.
> * gnu/packages/patches/desmume-gcc7-fixes.patch: Likewise.
> * gnu/local.mk (dist_patch_DATA): Adjust accordingly.
The most important changes are clearly delimited configure flags and
two spaces instead of one.  I also split some lines that technically
could remain squashed together, but that's minor imho.

> > Testing locally, because it failed to apply on CI – maybe the DKIM
> > signature breaks things?  It looks broken, what with those
> > gratuitous newlines.  If all checks pass, then I'll push this with
> > minor adjustments after the grace week.
> 
> Not quite sure why it failed to apply on CI. I used `git-send-email`
> and all. I doubt I have any control over DKIM signatures. I
> downloaded the raw email from the web interface and `git am`'d it
> successfully, although it did warn about a quoted CRLF..
Thought so, just wanted you to know.

Cheers